aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2015-04-09 07:36:29 +0000
committerTimo Teräs <timo.teras@iki.fi>2015-04-09 07:37:20 +0000
commit47db907cdf7ac0669d2729f9aa146dcfdbf76a82 (patch)
treefcb7e9f736f66b175766705f4e06260344f41b7d
parent5b75cd1583db252c5b80245cd2fc1d88ef6a07a8 (diff)
downloadaports-47db907cdf7ac0669d2729f9aa146dcfdbf76a82.tar.gz
aports-47db907cdf7ac0669d2729f9aa146dcfdbf76a82.tar.bz2
aports-47db907cdf7ac0669d2729f9aa146dcfdbf76a82.tar.xz
main/nodejs: use paxmark
-rw-r--r--main/nodejs/APKBUILD8
1 files changed, 4 insertions, 4 deletions
diff --git a/main/nodejs/APKBUILD b/main/nodejs/APKBUILD
index 677c0d15d6..05d39d5a5e 100644
--- a/main/nodejs/APKBUILD
+++ b/main/nodejs/APKBUILD
@@ -2,13 +2,13 @@
# Maintainer: Eivind Uggedal <eivind@uggedal.com>
pkgname=nodejs
pkgver=0.10.33
-pkgrel=0
+pkgrel=1
pkgdesc='Evented I/O for V8 javascript'
url='http://nodejs.org/'
arch='all'
license='MIT'
makedepends="$depends_dev python openssl-dev zlib-dev libuv-dev c-ares-dev
- paxctl"
+ paxmark"
subpackages="$pkgname-dev $pkgname-doc"
source="http://nodejs.org/dist/v$pkgver/node-v$pkgver.tar.gz"
@@ -20,7 +20,7 @@ build() {
--shared-cares \
--shared-openssl || return 1
make -C out BUILDTYPE=Release mksnapshot || return 1
- paxctl -c -m out/Release/mksnapshot || return 1
+ paxmark -m out/Release/mksnapshot || return 1
make || return 1
}
@@ -30,7 +30,7 @@ package() {
cd "$srcdir"/node-v$pkgver
make DESTDIR="$pkgdir" install || return 1
# paxmark so JIT works
- paxctl -cm "$pkgdir"/usr/bin/node || return 1
+ paxmark -m "$pkgdir"/usr/bin/node || return 1
cp -pr "$pkgdir"/usr/lib/node_modules/npm/man "$pkgdir"/usr/share || return 1
for d in doc html man; do